Qwen 3 TTS - Voice Design [1.7B]
統合
モデルID
qwen-3-tts/voice-design/1.7b
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/qwen-3-tts/voice-design/1.7b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence."
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/qwen-3-tts/voice-design/1.7b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence."
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence.",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/qwen-3-tts/voice-design/1.7b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ja/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.ru/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "qwen-3-tts/voice-design/1.7b",
"input": {
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence."
}
}
Doitong APIを通じてQwen 3 TTS - Voice Design [1.7B]モデル(qwen-3-tts/voice-design/1.7b)を呼び出します。エージェント向けドキュメント: https://doitong.com/ja/developers/models/qwen-3-tts/voice-design/1.7b.md
POST https://api.doitong.ru/v1/run/qwen-3-tts/voice-design/1.7b?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence."
}
レスポンスのステータスが"queued"または"running"の場合、"succeeded"になるまでGET https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20をポーリングしてください。ファイルはoutputs[].urlにあります。同じボディでPOST https://api.doitong.ru/v1/quote/qwen-3-tts/voice-design/1.7bを実行すると、実行前の正確な価格が返されます。
このリクエスト: $0.005 5 APIクレジット · ≈ ₽0.54 このページで実行
新しいAPIキーです。 これは今だけ表示され、コードと下記のAPIキー欄にすでに入力されています。秘密にしてください。ブラウザで実行されるコードに決して含めないでください。
Alibaba · 音声
最初の結果がここに表示されます
以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。
リクエストを作成
コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。
POST
/run/qwen-3-tts/voice-design/1.7b?wait=20
見積もり → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/qwen-3-tts/voice-design/1.7b?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence."
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.ru/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/qwen-3-tts/voice-design/1.7b?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence."
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.ru/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence.",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/qwen-3-tts/voice-design/1.7b", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "qwen-3-tts/voice-design/1.7b",
"input": {
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence."
},
"wait_seconds": 20
}
}
}
Qwen 3 TTS - Voice Design [1.7B]について
必須の `prompt` で説明した音声で `text` を発話します。プリセット音声や参照音声は不要です。`language` はAutoまたは10種類の名前付き言語を指定できます。サンプリング制御と `max_new_tokens`(1から8192、デフォルト200)を利用できます。設計した音声は後からclone-voiceモデルでクローンできます。
パラメータ
名前型
デフォルト許可される値
説明
text必須
型string
音声に変換するテキスト内容。
language任意
型enum
デフォルトAuto
AutoEnglishChineseSpanishFrenchGermanItalianJapaneseKoreanPortugueseRussian
設計する音声の言語。
prompt必須
型string
合成音声のスタイルに関する任意の指示。
top_k任意
型integer | null
デフォルト50
≥ 0
top-k samplingの設定。
top_p任意
型number | null
デフォルト1
0 – 1
サンプリング時に使用するTop-p設定。
temperature任意
型number | null
デフォルト0.9
≤ 1> 0
サンプリング時に使用する温度。値が大きいほどランダム性が高くなります。
repetition_penalty任意
型number | null
デフォルト1.05
≥ 0
トークンまたはコードの繰り返しを抑制するペナルティ。
subtalker_dosample任意
型boolean | null
デフォルトtrue
サブトーカーによるサンプリングを有効または無効にするスイッチ。
subtalker_top_k任意
型integer | null
デフォルト50
≥ 0
サブトーカーからサンプリングするときに使用するTop-k設定。
subtalker_top_p任意
型number | null
デフォルト1
0 – 1
サブトーカーからサンプリングするときに使用するTop-p設定。
subtalker_temperature任意
型number | null
デフォルト0.9
0 – 1
サブトーカーが使用するサンプリング温度。
max_new_tokens任意
型integer | null
デフォルト200
1 – 8,192
新たに生成するコーデックトークン数の上限。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
必須
出力
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "qwen-3-tts/voice-design/1.7b",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 5,
"usd": "0.005",
"charged": 5,
"refunded": 0
},
"input": {
"text": "Hello from Doitong. This is a short test sentence.",
"prompt": "Hello from Doitong. This is a short test sentence."
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200,
"duration": 5,
"channels": 1,
"sample_rate": 1,
"bitrate": "string"
}
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
- audio
- object {url, content_type, file_name, file_size, duration, channels, sample_rate, bitrate}合成された音声を含む音声ファイル。
その他のQwen 3 TTSバリアント
その他のモデル: テキスト読み上げ
AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/qwen-3-tts/voice-design/1.7b.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt